Detailed overview


Create Account

The Create Account endpoint creates a new account for a client (merchant or company) under a specific provider.

POST https://your_connector_url/customers/{customerId}/clients/{clientId}/accounts

Path Params

ParameterTypeDescription
customerIdStringThe ID of the customer.
clientIdStringThe ID of the client (merchant) the account will belong to.

Body Params

ParameterTypeRequiredDescription
nameStringYesThe name of the client (merchant or company). This is a company name, not a user name.
clientIdStringYesThe ID of the client (merchant or company).
addressStringYesPrimary address information (street name, street number). This is a company address, not a user address.
address2StringNoSecondary address information (apartments, suites, PO Boxes).
cityStringYesThe city of the client (merchant or company).
postalCodeStringYesThe postal code of the client (merchant or company).
assetTypeStringYesThe currency of the account. Set by the provider or chosen by the user during account creation if multiple options are enabled.
partnerProductStringYesThe code of the product offered by a partner associated with the account. Also available via the Get Partner Product endpoint in the code field.
countryCodeStringYesThe country code of the client. Uses ISO 3166-2.
legislationCountryStringNoThe legislation country of the client (merchant or company).
readOnlyBooleanYesDefines if the account is read-only. If set to true, the user cannot make any payments.

signUpRequest Object

The signUpRequest object contains the data a client (merchant or company) must provide when creating an account. Required.

ParameterTypeRequiredDescription
idStringYesThe unique identifier for the sign-up request.
cifStringYesThe CIF (Tax Identification Code) of the client.
clientTypeClientTypeYesThe type of client — BUSINESS or CONSUMER.
subOrganisationTypeOrganisationTypeYesThe organisation type of the client.
endUserIdStringThe ID of the merchant user who submitted the account creation request.
📘

OrganisationType Enum

The OrganisationType enum represents the different types of organisations.
Values:
SOLE_TRADER, LIMITED, PARTNERSHIP, CHARITY, PUBLIC_LIMITED, ASSOCIATION, SUPPORT_GROUP, NON_REG_PARTNERSHIP, NOT_YET_REGISTERED

Read more about organisation type here.

shareholders (list of objects)

Each shareholder object includes the following parameters:

ParameterTypeDescription
nameStringFirst name of the shareholder.
surnameStringLast name of the shareholder.
birthDateDateDate of birth of the shareholder.
countryStringCountry of residence of the shareholder.
percentageOfSharesStringPercentage of shares belonging to the shareholder.
cityStringCity of residence of the shareholder.
addressStringMain line of the address of the shareholder.
address2StringSecondary address information (apartments, suites, PO Boxes).
postalCodeStringPostcode of the shareholder.

directors (list of objects)

Each director object contains information about a director of the merchant (client or company). There can be one or more directors.

ParameterTypeDescription
documentTypeStringThe verification document (one document per director).
documentNumberStringThe number of the verification document.
documentExpirationDateYYYY-mm-ddThe expiration date of the document.
documentIssueDateYYYY-mm-ddThe issue date of the document.
documentIssuerCountryStringThe country that issued the document.
tinStringThe Tax Identification Number.
postalCodeStringThe postal code of the director.
addressStringThe address of the director.
address2StringSecondary address information (apartments, suites, PO Boxes).
cityStringCity of residence of the director.
emailStringEmail of the director.
phoneObjectPhone number of the director (see phone fields below).
firstNameStringFirst name of the director.
lastNameStringLast name of the director.
dateOfBirthyyyy-MM-dd HH:mm:ss.SSSDate of birth of the director.
appointmentDateDateAppointment date of the director.
countryOfResidencecountryCodeCountry of residence of the director.
accountPurposesSet<String>The intended purposes for the account.
expectedVolumeObjectThe expected volume of transactions (see fields below).

phone fields:

ParameterTypeDescription
phoneNumberStringPhone number without the country code.
countryCodecountryCodeCountry code.
intnlPhoneNumberStringInternational phone number with the country code.

expectedVolume fields:

ParameterTypeDescription
currencycurrencyThe currency.
rangerangeThe range reflecting the volume.
typeStringType of transactions.

Additional Body Params

ParameterTypeDescription
registrationDateYYYY-mm-ddThe registration date of the merchant's company.
industryCodeindustryCodeThe code of the industry the merchant's company belongs to.
phoneObjectThe phone number of the merchant (see phone fields above).
emailStringThe email of the merchant (client or company).
aliasStringThe account alias — a descriptive identifier (name) given to an account.

Response

Returns a response containing the details of the created account.

ParameterTypeRequiredDescription
accountIdStringYesThe unique ID of the created account.
ibanStringYesThe IBAN.
bicSwiftForSEPAStringYesThe Bank Identification Code (BIC) for SEPA.
bicSwiftForSWIFTStringYesThe Bank Identification Code (BIC) for SWIFT. If the same BIC applies to both SEPA and SWIFT, use the same value for both fields.
ukAccountNumberStringYes (UK)UK-specific account number.
ukSortCodeStringYes (UK)UK-specific sort code.
accountNumberStringYes (US)US-specific account number.
routingNumberStringYes (US)US-specific routing number.
internationalEnabledBooleanYesIndicates whether the account supports international payments.
correspondentBankStringIf internationalThe correspondent bank name. If you cannot pass these details and return null, these fields will appear empty in the account details section.
correspondentBankAddressStringIf internationalThe correspondent bank address.
correspondentBankSWIFTStringIf internationalThe correspondent bank SWIFT code.
assetTypeassetTypeYesThe currency of the account.
createdAtDate-timeYesThe date of account creation by the provider.
statusStringYesThe status of the account.
totalBalanceDouble (2 decimals)YesThe total balance on the account.
availableBalanceDouble (2 decimals)YesThe available balance. If the provider only offers a single balance, use the same value for both fields.
countryCodeStringYesCountry code where the account was created. Uses ISO 3166-2.
holderNameStringYesThe name of the account owner (client/company name, not a user name). Toqio retrieves this via the Get Account endpoint.
holderAddressStringNo (Deprecated)The address of the account owner. Use the holderAddress object instead.
holderAddressObjectYesThe address of the account owner (see holderAddress fields below). Toqio retrieves this via the Get Account endpoint.
aliasStringNoThe account alias — a descriptive identifier (name) given to an account.
holderBankStringYesThe name of the bank providing the account.
holderBankAddressStringYesThe address of the bank providing the account.
bankCountryStringYesThe country where the banking provider is registered.
partnerProductStringYesThe product code offered by the banking provider associated with the account. Defined in the provider integration connector.
wireRoutingNumberStringNoWire routing number.
achRoutingNumberStringNoACH routing number.

holderAddress object fields:

ParameterTypeRequiredDescription
addressStringYesPrimary address information (street name, street number). Company address, not a user address.
address2StringNoSecondary address information (apartments, suites, PO Boxes).
cityStringYesThe city of the client (merchant or company).
postalCodeStringYesThe postal code of the client (merchant or company).
📘

Account creation automated notifications

If your banking provider supports account holder creation simultaneously with account creation, you can use account creation automated notifications. These email notifications alert the Customer's admin user in two cases:

  • If the account holder creation fails on the BaaS side, the account is marked with a "Quarantine" status. The Customer's admin user will need to review the account application in the admin portal to either approve or stop the account creation process.
  • If there is an error in the banking provider's database related to the account holder, the Customer's admin user will receive an email notification detailing the error.

To set up this logic, use signUpResponse.

signUpResponse Parameter

The signUpResponse object is optional and includes:

ParameterTypeRequiredDescription
sendQuarantinedEmailBooleanYesIf enabled, triggers an email to the Customer admin user informing them that a Merchant intended to create an account but it is on hold due to quarantine status. The admin user can review the application in the admin portal.
sendKycCheckEmailBooleanYesIf enabled, triggers an email to the Customer admin user informing them that a Merchant could not create an account due to a KYC check error in the banking provider database.
kycCheckEmailMessageStringIf sendKycCheckEmail is trueThe email message to send to the Customer admin user.
Quarantine email content

"The creation of a new account for {companyName} has been quarantined in the firewall. Please, review the application to allow or prevent the account to be created. You can follow the case and get additional details in the admin portal by following this link {linkUrl}"

📘

Enabling Provider Capabilities related to this endpoint

If your banking provider requires a signature for account creation, consider enabling the needAccountSignature provider capability.

When needAccountSignature is set to true, the banking provider mandates an account signature during account creation. This enables a custom user flow that incorporates the account signature feature. Read more about capabilities.

accountCanIssueCards Parameter

This optional boolean indicates whether the created account can be used to issue a new card.

  • If set to TRUE, the account appears in the account selector during the "Issue New Card" flow.
  • If set to FALSE, the account is excluded from the selector in that flow.
  • If not specified, defaults to TRUE.

Get Account

The Get Account endpoint retrieves a single account of a merchant (client or company) under a specific provider.

GET https://your_connector_url/customers/{customerId}/clients/{clientId}/accounts/{accountId}

Path Params

ParameterTypeDescription
customerIdStringThe ID of the customer.
clientIdStringThe ID of the client (merchant) the account belongs to.
accountIdStringThe ID of the account.

Response Body

ParameterTypeRequiredDescription
accountIdStringYesThe ID of the account.
ukAccountNumberStringYes (UK)UK-specific account number.
ukSortCodeStringYes (UK)UK-specific sort code.
ibanStringYesThe IBAN.
bicSwiftForSEPAStringYesThe Bank Identification Code (BIC) for SEPA.
bicSwiftForSWIFTStringYesThe Bank Identification Code (BIC) for SWIFT. If the same BIC applies to both, use the same value.
assetTypeassetTypeYesThe currency of the account.
createdAtDate-timeYesThe date of account creation by the provider.
statusStringYesThe status of the account.
totalBalanceDouble (2 decimals)YesThe total balance on the account.
availableBalanceDouble (2 decimals)YesThe available balance. If the provider only offers a single balance, the same value is used for both.
countryCodeStringYesCountry code where the account was created. Uses ISO 3166-2.
holderNameStringYesThe name of the account owner (client/company name, not a user name). Toqio retrieves this via the provider integration connector.
holderAddressStringNo (Deprecated)The address of the account owner. Use the holderAddress object instead.
holderAddressObjectYesThe address of the account owner (see holderAddress fields in Create Account response).
internationalEnabledBooleanYesIndicates whether the account supports international payments.
correspondentBankStringIf internationalThe correspondent bank name.
correspondentBankAddressStringIf internationalThe correspondent bank address.
correspondentBankSWIFTStringIf internationalThe correspondent bank SWIFT code.
holderBankStringYesThe name of the bank providing the account.
holderBankAddressStringYesThe address of the bank providing the account.
bankCountryStringYesThe country where the banking provider is registered.
partnerProductStringYesThe product code offered by the banking provider associated with the account. Available via the Get Partner Product endpoint in the code field.
wireRoutingNumberStringNoWire routing number.
achRoutingNumberStringNoACH routing number.
signUpResponseObjectNoRead more about it here.


Get Accounts

The Get Accounts endpoint retrieves all accounts of a merchant (client or company) under a specific provider.

GET https://your_connector_url/customers/{customerId}/clients/{clientId}/accounts

Path Params

ParameterTypeDescription
customerIdStringThe ID of the customer.
clientIdStringThe ID of the client (merchant) the accounts belong to.

Response

The response is an array of account response objects.



Delete Account

The Delete Account endpoint deletes an existing account for a merchant (client or company) under a specific provider.

On Toqio's side, this action can only be executed if the account has no funds and it is not the main account. The CANCEL account button triggers this endpoint.

DELETE https://your_connector_url/customers/{customerId}/clients/{clientId}/accounts/{accountId}

Path Params

ParameterTypeDescription
customerIdStringThe ID of the customer.
clientIdStringThe ID of the client (merchant) the account belongs to.
accountIdStringThe ID of the account.

Response

Returns a response indicating the result of the delete operation.

📘

Enabling Provider Capabilities related to this endpoint

canCancelAccounts: Defines whether the provider allows cancelling accounts. When an account is cancelled, account holder users can no longer use the account but can still view its details. The status changes to CLOSED in the integration and CANCELLED in the Toqio database.

canRemoveAccounts: Defines whether the provider allows removing accounts. If removed, the account is not visible to account holder users. Only available for accounts with no balance that are not main accounts. The status changes to REMOVED in the Toqio database.

Read more about capabilities.

Update Account

The Update Account endpoint updates the details of an existing account of a merchant (client or company) under a specific provider.

PUT https://your_connector_url/customers/{customerId}/clients/{clientId}/accounts/{accountId}

Path Params

ParameterTypeDescription
customerIdStringThe ID of the customer.
clientIdStringThe ID of the client (merchant) the account belongs to.
accountIdStringThe ID of the account.

Body Params

ParameterTypeRequiredDescription
aliasStringThe alias of the account in Toqio.
addressStringYesPrimary address information (street name, street number). Company address, not a user address.
address2StringNoSecondary address information (apartments, suites, PO Boxes).
cityStringYesThe city of the client (merchant or company).
postalCodeStringYesThe postal code of the client (merchant or company).
statusToqioAccountStatusThe status of the account in Toqio.
📘

ToqioAccountStatus enum

The ToqioAccountStatus enum represents the different statuses an account can have. Read more.

Values: CLOSED, ACTIVE, PENDING, HIDE, QUARANTINE, FAILED

Response

The response contains the same parameters as the account response.

Find account transaction list statement

The Find account transaction list statement endpoint retrieves a list of transactions for a date range of an existing account for a merchant (client or company) under a specific provider.

POST https://your_connector_url/customers/{customerId}/clients/{clientId}/accounts/{accountId}/bankStatement

Path Params

ParameterTypeDescription
customerIdStringThe ID of the customer.
clientIdStringThe ID of the client (merchant) the account belongs to.
accountIdStringThe ID of the account.

Body Params

ParameterTypeDescription
startDateThe start date of the statement period.
endDateThe end date of the statement period.

Response

Returns a list of transactions within the specified date range. The response is an array of objects:

ParameterTypeRequiredDescription
balanceDouble (2 decimals)YesThe balance corresponding to the transaction.
dateyyyy-MM-dd'T'HH:mm:ss.SSS'Z'YesThe date and time of the transaction — displayed as the "Completed" field in the statement.
transactionNumberStringYesThe number of the transaction.

This response provides the account transaction list statement:

The merchant user accesses this feature by clicking the "Download PDF" button on the account details page. The user selects a custom date range, and a PDF document is generated with the transactions that occurred within that range.

📘

Enabling Provider Capabilities related to this endpoint

Verify if the banking provider permits users to select today's date as the end date. If allowed, enable the allowTodayStatement capability as true. When this capability is not enabled, users can only download statements up to two days prior to today's date.

You can also define whether users can access account statements older than 6 months by setting the allowSixMonthsStatements capability. If set to true, users can retrieve account statements beyond the 6-month timeframe. Read more about capabilities.
You can also define whether users can access account statements older than 6 months by setting the allowSixMonthsStatements capability. If allowSixMonthsStatements is set to true, users will be able to retrieve account statements beyond the 6-month timeframe. Read more about capabilities.